`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    19:49:55 11/30/2013 
// Design Name: 
// Module Name:    getDisplay 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////

module getdisplay(
	 input clk,
    input wire[15:0] number,
    output wire [7:0] disp1,
    output wire [7:0] disp2,
    output wire [7:0] disp3,
    output wire [7:0] disp4
    );
	/*reg [3:0] div1,div2,div3,div4;
	reg [1:0] c;
	reg [8:0] tempnumber, tempnumber2;
	initial c <=0;
	initial div1 <=0;
	initial div2 <=0;
	initial div3 <=0;
	initial div4 <=0;

	initial tempnumber <=10;
  
	always @(posedge clk) begin
	  if(c == 0) begin
	     tempnumber2 = number;
	   end
	  c <= c + 1;
	  case(c)
	     2'b00: begin 
		      div4 = tempnumber2/1000;
		      tempnumber <= tempnumber2- div4 *1000;
	     end
	     2'b01: begin 
		      div3 = tempnumber2/100;
		      tempnumber <= tempnumber2 - div3 *100 ;
	     end
	     2'b10: begin 
		      div2 = tempnumber2/10;
		      tempnumber <= tempnumber2 - div2 *10 ;
	     end
	     2'b11: begin
	       	div1 = tempnumber2[3:0];
	       	tempnumber <= 0;
	     end
	   endcase
	end
	always @(negedge clk) begin
	  tempnumber2 = tempnumber;
	end*/

	gethex g4(number[15:12], disp4);
	gethex g3(number[11:8], disp3);
	gethex g2(number[7:4], disp2);
	gethex g1(number[3:0], disp1);
endmodule
module gethex(input [3:0] num, output reg [7:0] disp);
  
	`define display_1 8'b11111001
	`define display_2 8'b10100100
	`define display_3 8'b10110000	 
	`define display_4 8'b10011001
	`define display_5 8'b10010010
	`define display_6 8'b10000010
	`define display_7 8'b11111000	 
	`define display_8 8'b10000000
	`define display_9 8'b10010000
	`define display_0 8'b11000000
	`define display_A 8'b10100011
	`define display_B 8'b10000011
	`define display_C 8'b10100111
	`define display_D 8'b10100001
	`define display_E 8'b10000110
	`define display_F 8'b10001110
	always @(num) begin
		case(num)
			4'b0000: disp <= `display_0;
			4'b0001: disp <= `display_1;
			4'b0010: disp <= `display_2;
			4'b0011: disp <= `display_3;
			4'b0100: disp <= `display_4;
			4'b0101: disp <= `display_5;
			4'b0110: disp <= `display_6;
			4'b0111: disp <= `display_7;
			4'b1000: disp <= `display_8;
			4'b1001: disp <= `display_9;
			4'b1010: disp <= `display_A;
			4'b1011: disp <= `display_B;
			4'b1100: disp <= `display_C;
			4'b1101: disp <= `display_D;
			4'b1110: disp <= `display_E;
			4'b1111: disp <= `display_F;
		endcase
	end
	
endmodule

module getnum(input [3:0] div, output reg [7:0] disp);
  
	`define display_1 8'b11111001
	`define display_2 8'b10100100
	`define display_3 8'b10110000	 
	`define display_4 8'b10011001
	`define display_5 8'b10010010
	`define display_6 8'b10000010
	`define display_7 8'b11111000	 
	`define display_8 8'b10000000
	`define display_9 8'b10010000
	`define display_0 8'b11000000
	always @(div) begin
		$display("%b",div);
		case(div)
		  4'b0000: disp <= `display_0;
			4'b0001: disp <= `display_1;
			4'b0010: disp <= `display_2;
			4'b0011: disp <= `display_3;
			4'b0100: disp <= `display_4;
			4'b0101: disp <= `display_5;
			4'b0110: disp <= `display_6;
			4'b0111: disp <= `display_7;
			4'b1000: disp <= `display_8;
			4'b1001: disp <= `display_9;
		endcase
	end
	
endmodule